﻿<%@ Page Language="C#" AutoEventWireup="true" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>04_Webphone_Silverlight_SIP_CMS</title>
    <link rel="stylesheet" type="text/css" href="phone.css" />
    <style type="text/css">
        html, body
        {
            height: 100%;
            overflow: auto;
        }
        body
        {
            padding: 0;
            margin: 0;
        }
        #silverlightControlHost
        {
            height: 100%;
            text-align: center;
        }
    </style>
    <script type="text/javascript" src="Silverlight.js"></script>
    <script type="text/javascript">
        function onSilverlightError(sender, args) {
            var appSource = "";
            if (sender != null && sender != 0) {
                appSource = sender.getHost().Source;
            }

            var errorType = args.ErrorType;
            var iErrorCode = args.ErrorCode;

            if (errorType == "ImageError" || errorType == "MediaError") {
                return;
            }

            var errMsg = "Unhandled Error in Silverlight Application " + appSource + "\n";

            errMsg += "Code: " + iErrorCode + "    \n";
            errMsg += "Category: " + errorType + "       \n";
            errMsg += "Message: " + args.ErrorMessage + "     \n";

            if (errorType == "ParserError") {
                errMsg += "File: " + args.xamlFile + "     \n";
                errMsg += "Line: " + args.lineNumber + "     \n";
                errMsg += "Position: " + args.charPosition + "     \n";
            }
            else if (errorType == "RuntimeError") {
                if (args.lineNumber != 0) {
                    errMsg += "Line: " + args.lineNumber + "     \n";
                    errMsg += "Position: " + args.charPosition + "     \n";
                }
                errMsg += "MethodName: " + args.methodName + "     \n";
            }

            throw new Error(errMsg);
        }
    </script>
    <script type="text/javascript">

        function ConnectionStateChanged(data) {
            document.getElementById("lblinfo").innerHTML = data;
        }

        function SetReadyStatus(info, clientID) {
            document.getElementById("lblinfo").innerHTML = info;
            document.getElementById("lblclientId").innerHTML = clientID;
        }


        function UpdateInfo(data) {
            document.getElementById("lblinfo").innerHTML = data;
        }

        function Keypads_OnClick(data) {
            document.getElementById("lblNumber").innerHTML += data;
        }

        function ResetDialNumber() {
            document.getElementById("lblNumber").innerHTML = "";
        }

        function Call_Click() {
            var control = document.getElementById("silverlightControl");
            control.Content.MainPage.btnCall_Click(document.getElementById("lblNumber").innerHTML);
        }

        function CallStop_Click() {
            var control = document.getElementById("silverlightControl");
            control.Content.MainPage.btnStopCall_Click();
        }

        function SetActionButtonState(modify, btnCallIsEnable, btnCallStopIsEnable) {

            var callControl = document.getElementById("callButton");
            var stopControl = document.getElementById("endCallButton");

            if (modify == 0) {

                callControl.disabled = !btnCallIsEnable;
                stopControl.disabled = !btnCallStopIsEnable;
            }
            else if (modify == 1) {
                callControl.disabled = !btnCallIsEnable;
            }
        }

    </script>
</head>
<body>
    <div id="phone">
        <div id="display">
            <div style="text-align: right">
                <label id="lblclientId" style="right: 5px; margin-right: 15px">
                    Unregistered</label>
            </div>
            <div style="text-align: center; margin-top: 30px;">
                <label id="lblinfo" style="text-align: center; margin-top: 25px;">
                    Offline</label>
            </div>
            <div style="text-align: center; margin-top: 30px">
                <label id="lblNumber" style="text-align: center; margin-top: 25px;">
                </label>
            </div>
        </div>
        <div id='keypad'>
            <div id="firstRow" class="row">
                <button class="phoneButton" id="callButton" disabled="disabled" onclick="Call_Click()">
                    Call</button>
                <button class="phoneButton" id="endCallButton" disabled="disabled" onclick="CallStop_Click()">
                    Call end</button>
                <div style="clear: both;">
                </div>
            </div>
            <div class="row">
                <button class="phoneButton" onclick="Keypads_OnClick('1')">
                    1</button>
                <button class="phoneButton" onclick="Keypads_OnClick('2')">
                    2</button>
                <button class="phoneButton" onclick="Keypads_OnClick('3')">
                    3</button>
            </div>
            <div class="row">
                <button class="phoneButton" onclick="Keypads_OnClick('4')">
                    4</button>
                <button class="phoneButton" onclick="Keypads_OnClick('5')">
                    5</button>
                <button class="phoneButton" onclick="Keypads_OnClick('6')">
                    6</button>
            </div>
            <div class="row">
                <button class="phoneButton" onclick="Keypads_OnClick('7')">
                    7</button>
                <button class="phoneButton" onclick="Keypads_OnClick('8')">
                    8</button>
                <button class="phoneButton" onclick="Keypads_OnClick('9')">
                    9</button>
            </div>
            <div class="row">
                <button class="phoneButton" onclick="Keypads_OnClick('*')">
                    *</button>
                <button class="phoneButton" onclick="Keypads_OnClick('0')">
                    0</button>
                <button class="phoneButton" onclick="Keypads_OnClick('#')">
                    #</button>
            </div>
        </div>
    </div>
    <h1 />
    <form id="form1" runat="server" style="height: 100%">
    <div id="silverlightControlHost">
        <object id="silverlightControl" data="data:application/x-silverlight-2," type="application/x-silverlight-2"
            width="100%" height="100%">
            <param name="source" value="ClientBin/04_Webphone_Silverlight_SIP_CMS.xap" />
            <param name="onError" value="onSilverlightError" />
            <param name="background" value="white" />
            <param name="minRuntimeVersion" value="4.0.50826.0" />
            <param name="autoUpgrade" value="true" />
            <a href="http://go.microsoft.com/fwlink/?LinkID=149156&v=4.0.50826.0" style="text-decoration: none">
                <img src="http://go.microsoft.com/fwlink/?LinkId=161376" alt="Get Microsoft Silverlight"
                    style="border-style: none" />
            </a>
        </object>
        <iframe id="_sl_historyFrame" style="visibility: hidden; height: 0px; width: 0px;
            border: 0px"></iframe>
    </div>
    </form>
</body>
</html>
